#!/bin/bash

NAME=$(basename $PWD)
OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'      $NAME.spec)
PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}'    $NAME.spec)
VER1=$(sed -n '/^%global upstream_version/{s/.* //;p}' $NAME.spec)
VER2=$(sed -n '/^%global upstream_prever/{s/.* //;p}'  $NAME.spec)
COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'     $NAME.spec)
SHORT=${COMMIT:0:7}
VERSION=${VER1}${VER2}

echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"

echo "Cloning..."
rm -rf $PROJECT-$COMMIT
git clone --recursive https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT

echo "Getting commit..."
pushd $PROJECT-$COMMIT
git checkout $COMMIT
popd

echo "Archiving..."
tar czf $NAME-$VERSION-$SHORT.tgz --exclude .git $PROJECT-$COMMIT

echo "Cleaning..."
rm -rf $PROJECT-$COMMIT

echo "Done."
